export type { WebGLDeviceLimits } from "./adapter/device-helpers/webgl-device-limits.js";
export { WebGLDevice } from "./adapter/webgl-device.js";
export { WebGLCanvasContext } from "./adapter/webgl-canvas-context.js";
export { WebGLResource, WebGLResource as WEBGLResource } from "./adapter/objects/webgl-resource.js";
export { WEBGLBuffer } from "./adapter/resources/webgl-buffer.js";
export { WEBGLTexture } from "./adapter/resources/webgl-texture.js";
export { WEBGLShader } from "./adapter/resources/webgl-shader.js";
export { WEBGLSampler } from "./adapter/resources/webgl-sampler.js";
export { WEBGLFramebuffer } from "./adapter/resources/webgl-framebuffer.js";
export { WEBGLRenderPipeline } from "./adapter/resources/webgl-render-pipeline.js";
export { WEBGLCommandEncoder } from "./adapter/resources/webgl-command-encoder.js";
export { WEBGLRenderPass } from "./adapter/resources/webgl-render-pass.js";
export { WEBGLVertexArray } from "./adapter/resources/webgl-vertex-array.js";
export { WEBGLTransformFeedback } from "./adapter/resources/webgl-transform-feedback.js";
export { Accessor } from "./classic/accessor.js";
export type { AccessorObject } from "./types.js";
export { setDeviceParameters, withDeviceParameters } from "./adapter/converters/device-parameters.js";
export { getShaderLayout } from "./adapter/helpers/get-shader-layout.js";
export { convertGLToTextureFormat } from "./adapter/converters/texture-formats.js";
export type { RenderbufferProps as _RenderbufferProps } from "./adapter/objects/webgl-renderbuffer.js";
export { WEBGLRenderbuffer as _WEBGLRenderbuffer } from "./adapter/objects/webgl-renderbuffer.js";
export { TEXTURE_FORMATS as _TEXTURE_FORMATS } from "./adapter/converters/texture-formats.js";
export { trackContextState, pushContextState, popContextState } from "./context/state-tracker/track-context-state.js";
export { resetGLParameters, setGLParameters, getGLParameters } from "./context/parameters/unified-parameter-api.js";
export { withGLParameters } from "./context/state-tracker/with-parameters.js";
//# sourceMappingURL=index.d.ts.map